<?php
// This file contains the credentials of the person
// authorised to query the DIV database server.
// These must be adapted for use by any person.
// A more flexible authorisation is technically possible
// but is not part of this proof-of-concept implementation.
//
// Be careful not to change anything outside a quote-pair,
// and not to change the sequence of the lines.
// 1) Field: UserNationalId has the ID number of the person
//    listed in the next field (the UserId field).
//    Example:  '12345678901',    // UserNationalId
// 2) Field: UserId has the name of that person
//    Example:  'Duck Donald',     // UserId
// 3) Field: OrganisationCompanyId has the CBE-number of
//    your organisation. The example value shown here
//    below would be correct for Gemeente Schoten.
// 4) Field: OrganisationId has ID and name of your
//    organisation. The example value below would be
//    correct for Gemeente Schoten.
// 5) Field: TargetOrganisationCompanyId should be equal
//    to field no. 3 above:  OrganisationCompanyId
// 6) Field: TargetOrganisationId should be equal to
//    field no. 4 above: OrganisationId
// More formally: fields 3+4 identify "Who is asking" and
// fields 5+6 identify "On whose behalf is this being asked".
//
// Do not change the $uniek and $timestamp fields.
//
// The DIV will log these values for auditing purposes.
//
    $importiaudit = new ImportIAudit(
        $uniek,           // RequestId
        '12345678901',    // UserNationalId
        'Duck Donald',    // UserId
        '0206677997',     // OrganisationCompanyId
        '11040Schoten',   // OrganisationId
        '0206677997',     // TargetOrganisationCompanyId
        '11040Schoten',   // TargetOrganisationId
        $timestamp        // Timestamp
    );
?>
