<?php
/**
* Copyright 2012 Gemeente Schoten (B)
* Licensed under the EUPL, Version 1.1 or - as soon as they will be
* approved by the European Commission - subsequent versions of the
* EUPL (the "Licence");
* You may not use this work except in compliance with the Licence.
*
* A copy of the Licence can be obtained at:
*                http://joinup.ec.europa.eu/software/page/eupl
*
* Unless required by applicable law or agreed to in writing,
* software distributed under the Licence is distributed on an "AS IS" basis,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the Licence for the specific language governing permissions and
* limitations under the Licence.
*/
/*
* This is (web-)page 1 of a two-page prototype/proof-of-concept
* implementation for a web-based DIV query client.
* It has a rudimentary user interface and only basic security.
* Author: <hjt@ATComputing.nl> September/October 2012, version 1.0
*/

// Find out which language is preferred by the client's browser:
$LANG=explode(',', $_SERVER['HTTP_ACCEPT_LANGUAGE']);
$LANG=preg_replace('/[;-].*$/', '', $LANG[0]);
switch($LANG) {
case 'nl': break; // supported language
case 'en': break; // supported language
default:   $LANG='nl'; break;
}
?>
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<?php
echo '<html lang="'.$LANG.'" xml:lang="'.$LANG.'" '
     .'xmlns="http://www.w3.org/1999/xhtml">'."\n";
?>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<title>DIV Client prototype</title>

<script type="text/javascript">
// JavaScript function to clear the first "single" number field
// when a mouse click enters.
function clearfield(myelement)
{
    myelement.value = '';
    return true;
}
// JavaScript function to clear the second etc. "single" number fields
// when a mouse click enters. These fields were added dynamically and
// thus require different treatment.
function clearfield_event(thisevent)
{
    var inputfield;
    if (thisevent.srcElement) { // for Microsoft IE only
        inputfield = thisevent.srcElement;
    } else { // for standard DOM2 browsers
        inputfield = this;
    }
    inputfield.value = '';
    return true;
}
// JavaScript function to add an extra "single number" field
// upon request via the click-button.
var numcounter = 1;
function add_a_number(myelement)
{
    var more = document.getElementById('more_numbers');
    var nextnumber = document.createElement('input');
    nextnumber.setAttribute('type', 'text');
    numcounter++;
    nextnumber.setAttribute('name', 'single_'+numcounter);
    nextnumber.setAttribute('id',   'single_'+numcounter);
    nextnumber.setAttribute('size', '10');
    nextnumber.setAttribute('value', '');
    if (nextnumber.attachEvent) { // for Microsoft IE only
        nextnumber.attachEvent('onmousedown', clearfield_event);
    } else if (nextnumber.addEventListener) { // for standard DOM2 browsers
        nextnumber.addEventListener('mousedown', clearfield_event, false);
    }
    if ((numcounter-1)%5 == 1) {
        var br_node = document.createElement('br');
        more.appendChild(br_node);
    }
    // add two unbreakable spaces as padding to the sequence number text:
    var leftpadzero = numcounter<10 ? '\u00A0\u00A0 ' : ' ';
    var nexttext = document.createTextNode(leftpadzero+numcounter+': ');
    more.appendChild(nexttext);
    more.appendChild(nextnumber);
}
</script>

</head>
<body>
<h1>Gemeente Schoten DIV query client</h1>
<h2>prototype/proof of concept by AT Computing</h2>

<?php
switch($LANG) {
case 'nl': default:
    $msg1='Geef de naam van het bestand met autonummers.';
    $msg2='We verwachten &eacute;&eacute;n nummer per regel,';
    $msg3='plus puntkomma-separated nog twee velden op elke regel, conform afspraak.';
    $msg4='Het moet een "kaal" tekstbestand zijn.';
    $msg5='D.w.z.: geen bestand dat met een tekstverwerker';
    $msg6='of Office-pakket is gemaakt.';
    break;
case 'en':
    $msg1='Specify the name of the file with car registration nos.';
    $msg2='We expect one registration no. per line of the file,';
    $msg3='plus two more semicolon-separated fields according to specs.';
    $msg4='Make sure to submit a plain text file.';
    $msg5='I.e. not one composed with a text processor';
    $msg6='or Office-package or the like.';
    break;
}
echo '<p>'.$msg1."\n".'<br />'.$msg2."\n".$msg3.'<br />'."\n"
    .$msg4."\n".$msg5."\n".$msg6.'</p>'."\n";
?>

<?php
switch($LANG) {
case 'nl': default:
    $msg1='bestand';
    $msg2='of geef een incidenteel autonummer';
    $msg3='nog een nummer'; // text on button
    break;
case 'en':
    $msg1='file';
    $msg2='or give a single car registration number';
    $msg3='add another number'; // text on button
    break;
}
// Note: the text on the file-browser button is derived from your browser's
// language setting. It is a matter of security that browsers won't easily
// allow this text to be modified. Overruling this requires advanced trickery.

// The pg2.php-page takes over after the Submit, to do the heavy hauling :
echo '<form method="post" enctype="multipart/form-data" action="pg2.php">'."\n";
echo $msg1.':';
echo '<input type="file" name="uploadfilename" id="uploadfilename" size="30" />'."\n";
echo '<br />&nbsp;<br />'."\n";
echo '<span id="more_numbers">';
echo $msg2.': <input type="text" name="single_1" id="single_1" value="" '
    .'size="10" onmousedown="clearfield(this);" />'."\n";
echo '&nbsp;<input type="button" name="one_more_number" id="one_more_number" '
    .'value="'.$msg3.'" onclick="add_a_number(this);" />'."\n";
echo '<br />'."\n";
echo '</span>'."\n";
echo '<br />'."\n";
echo '<input type="submit" name="submit" id="submit" value="submit" />'."\n";
echo '</form>'."\n";
?>

<?php
switch($LANG) {
case 'nl': default:
    $msg1='Incidentele nummers worden opgevraagd met de datum van vandaag,';
    $msg2='en de resultaten verschijnen alleen op het scherm (niet in de output file).';
    break;
case 'en':
    $msg1='Single numbers will be queried for ownership as of today,';
    $msg2='and the resulting answer will only show on screen (not stored in output file).';
    break;
}
echo '<p>'.$msg1."\n".$msg2.'</p>'."\n";

// Add this HTML-comment to the output page source, for test purposes:
echo '<!-- $_SERVER[\'HTTP_ACCEPT_LANGUAGE\'] is: '.$_SERVER['HTTP_ACCEPT_LANGUAGE']
    .' and $LANG is: '.$LANG.' -->'."\n";
?>
</body>
</html>
